The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от opennews (ok) on 15-Авг-14, 11:26 
Представлен (http://php.net/index.php#id2014-08-14-1) корректирующий релиз языка программирования PHP 5.3.29. В выпуск PHP 5.3.29 включены (http://php.net/ChangeLog-5.php#5.3.29) бэкпортированные из веток PHP 5.4 и 5.5 исправления 25 потенциальных проблем с безопасностью. Поддержка ветки PHP 5.3 официально завершена, дальнейшие обновления выпускать не планируется. Всем пользователям рекомендуется перейти на использование веток PHP 5.4 (http://php.net/migration54) или 5.5 (http://php.net/migration55), поддержка которых продлится до 2015 и 2016 годов.

URL: http://php.net/index.php#id2014-08-14-1
Новость: http://www.opennet.ru/opennews/art.shtml?num=40389

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +3 +/
Сообщение от RedRat (ok) on 15-Авг-14, 11:26 
Блин, опять предстоит геморрой с переводом Друпала на новую версию ПХП... :-/
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от Ононим on 15-Авг-14, 12:33 
Ну а в чем проблема постепенно обновлять пыху? Это ж не фреймворки на ней, где обязательно что-то полетит.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от Аноним (??) on 15-Авг-14, 13:36 
> исправления 25 потенциальных проблем с безопасностью
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

16. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от XoRe (ok) on 19-Авг-14, 00:21 
> Ну а в чем проблема постепенно обновлять пыху? Это ж не фреймворки
> на ней, где обязательно что-то полетит.

Вам Zend Optimizer о чем-нибудь говорит?

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +3 +/
Сообщение от Аноним (??) on 15-Авг-14, 14:45 
У тебя был выбор. Выбрал Drupal - страдай.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

7. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от RedRat (ok) on 15-Авг-14, 15:39 
> У тебя был выбор. Выбрал Drupal - страдай.

Ну, давай, расскажи мне про аналоги Друпал не под ПыхПых. С хотя бы сопоставимым функционалом.

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

9. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +1 +/
Сообщение от YetAnotherOnanym (ok) on 15-Авг-14, 17:11 
Вот именно. Ты выбрал друпал ради его функционала. Авторы друпала выбрали пых ради удобства и скорости разработки. О будущей необходимости обновления и связанных с этим возможных проблемах ты не задумывался, потому что результат нужен был здесь и сейчас. Теперь у тебя болит голова о том, как твой друпал переживёт миграцию на новый пых. Ты сам это выбрал.
Кстати, раз ты задаёшь такой вопрос - можешь перечислить цмски, которые ты протестировал и отверг из-за отсутствия необходимого функционала?
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

5. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +1 +/
Сообщение от kek (??) on 15-Авг-14, 15:20 
а какой там вообще геморрой? всегда всё гладко было.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

6. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  –2 +/
Сообщение от RedRat (ok) on 15-Авг-14, 15:37 
> а какой там вообще геморрой? всегда всё гладко было.

Переход с 5.2 на 5.3 потребовал кучи исправлений в ядре, не говоря уже о модулях. Сомневаюсь, что переход с 5.3 на 5.4 будет легче... :-/

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

8. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от анонимус (??) on 15-Авг-14, 16:21 
Легче. Между 5.2 и 5.3 было много ломающих изменений. Последующие обновления проходят гладко. По крайней мере вплоть до 5.5. Попсмотрим как будет с phpng
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

10. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от Аноним (??) on 16-Авг-14, 00:45 
5.3 - это должен был быть 6.0. Но они зафейлили с юникодом в ядре, потому и вышел 5.3 - там  и без юникода изменения тянут на major version.

С 5.4 и 5.5 все проще. Единственное, в 5.4 запретили call-time pass-by-reference; но на это в 5.3 был deprecated warning, думаю, давным-давно везде такое зачистили. Все остальное гладко.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

11. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +1 +/
Сообщение от Anonym0uz on 16-Авг-14, 13:10 
Подскажите пожалуйста, в каком релизе PHP перестанут поддерживать все ветки PHP?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

12. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  –4 +/
Сообщение от 02387 on 17-Авг-14, 07:43 
Для CentOS обновляемся отсюда http://centosup.ispsystem.info/ - мне поддержка отсюда ставила и я доволен
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

17. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от XoRe (ok) on 19-Авг-14, 00:24 
> поддержка которых продлится до 2015 и 2016 годов.

Как мило.
Сразу думаешь, какую же версию выбрать, которая кончится через год, или через два?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

18. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от Zheltiy86 (ok) on 19-Авг-14, 00:39 
>> поддержка которых продлится до 2015 и 2016 годов.
> Как мило.
> Сразу думаешь, какую же версию выбрать, которая кончится через год, или через
> два?

+1

Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

19. "Выпуск PHP 5.3.29 ознаменовал прекращение поддержки ветки PH..."  +/
Сообщение от Аноним (??) on 24-Авг-14, 13:35 
На ту которую поддерживает твой дистриб. Ваш КО.
Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру